<?php
/* @var \Vehica\Widgets\General\MapGeneralWidget $vehicaCurrentWidget */
global $vehicaCurrentWidget;

if (empty(vehicaApp('google_maps_api_key'))) {
    return;
}
?>
<div class="vehica-app">
    <vehica-advanced-map
            :zoom="<?php echo esc_attr($vehicaCurrentWidget->getZoom()); ?>"
            address="<?php echo esc_attr($vehicaCurrentWidget->getAddress()); ?>"
            :lat="<?php echo esc_attr($vehicaCurrentWidget->getLat()); ?>"
            :lng="<?php echo esc_attr($vehicaCurrentWidget->getLng()); ?>"
            icon="<?php echo esc_url($vehicaCurrentWidget->getIcon()); ?>"
            :snazzy="<?php echo esc_attr(vehicaApp('settings_config')->isGoogleMapsSnazzyLocationSelected('map_widget') ? 'true' : 'false'); ?>"
        <?php if (\Elementor\Plugin::instance()->editor->is_edit_mode()) : ?>
            widget-id="<?php echo esc_attr($vehicaCurrentWidget->get_id()); ?>"
            :edit-mode="true"
        <?php endif; ?>
    >
        <div slot-scope="advancedMap">
            <div class="vehica-map"></div>
        </div>
    </vehica-advanced-map>
</div>