<?php
/* @var \Vehica\Widgets\General\ServicesGeneralWidget $vehicaCurrentWidget */
global $vehicaCurrentWidget;
$vehicaServices = $vehicaCurrentWidget->getServices();
?>
<div class="vehica-services vehica-services__count-<?php echo esc_attr(count($vehicaServices)); ?>">
    <?php foreach ($vehicaCurrentWidget->getServices() as $vehicaService) : ?>
        <div class="vehica-services__service">
            <a
                    class="vehica-services__image-link"
                    href="<?php echo esc_url($vehicaService['link']['url']) ?>"
                    title="<?php echo esc_attr($vehicaService['button_label']); ?>"
                <?php if (!empty($vehicaService['link']['is_external'])) : ?>
                    target="_blank"
                <?php endif; ?>
                <?php if (!empty($vehicaService['link']['nofollow'])) : ?>
                    rel="nofollow"
                <?php endif; ?>
            >
                <img
                        class="vehica-services__image"
                        src="<?php echo esc_url($vehicaService['image']['url']); ?>"
                        alt="<?php echo esc_attr($vehicaService['name']); ?>"
                >
            </a>

            <?php if (!empty($vehicaService['name'])) : ?>
                <h3 class="vehica-services__name">
                    <?php echo esc_html($vehicaService['name']); ?>
                </h3>
            <?php endif; ?>

            <?php if (!empty($vehicaService['link']['url']) && !empty($vehicaService['button_label'])) : ?>
                <a
                        class="vehica-services__button"
                        href="<?php echo esc_url($vehicaService['link']['url']) ?>"
                        title="<?php echo esc_attr($vehicaService['button_label']); ?>"
                    <?php if (!empty($vehicaService['link']['is_external'])) : ?>
                        target="_blank"
                    <?php endif; ?>
                    <?php if (!empty($vehicaService['link']['nofollow'])) : ?>
                        rel="nofollow"
                    <?php endif; ?>
                >
                    <?php echo esc_html($vehicaService['button_label']); ?>
                </a>
            <?php endif; ?>
        </div>
    <?php endforeach; ?>
</div>
