<?php
/* @var \Vehica\Widgets\General\SliderGeneralWidget $vehicaCurrentWidget */
global $vehicaCurrentWidget;
$vehicaSlides = $vehicaCurrentWidget->getSlides();
?>
<div class="vehica-app">
    <vehica-slider :config="<?php echo htmlspecialchars(json_encode($vehicaCurrentWidget->getSliderConfig())); ?>">
        <div slot-scope="slider">
            <div class="vehica-slider vehica-swiper-container">
                <div class="vehica-swiper-wrapper">
                    <?php foreach ($vehicaSlides as $vehicaSlide) : ?>
                        <div
                                class="vehica-slider__slide vehica-swiper-slide"
                                style="background-image: url('<?php echo esc_url($vehicaSlide['image']['url']); ?>');background-size: cover;background-position: center center;"
                        >
                            <div class="vehica-slider__title">
                                <?php echo wp_kses_post($vehicaSlide['heading']); ?>
                            </div>

                            <?php if (!empty($vehicaSlide['show_button']) && !empty($vehicaSlide['button_url']['url'])) : ?>
                                <a
                                        class="vehica-slider__button"
                                        href="<?php echo esc_url($vehicaSlide['button_url']['url']); ?>"
                                    <?php if (!empty($vehicaSlide['button_url']['is_external'])) : ?>
                                        target="_blank"
                                    <?php endif; ?>
                                    <?php if (!empty($vehicaSlide['button_url']['nofollow'])) : ?>
                                        rel="nofollow"
                                    <?php endif; ?>
                                >
                                    <?php echo esc_html($vehicaSlide['button_text']); ?>
                                </a>
                            <?php endif; ?>
                        </div>
                    <?php endforeach; ?>
                </div>

                <?php if (count($vehicaSlides) > 1) : ?>
                    <div class="vehica-slider__navigation">
                        <button @click="slider.prevSlide" class="vehica-slider__prev">Prev</button>

                        <button @click="slider.nextSlide" class="vehica-slider__next">Next</button>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </vehica-slider>
</div>