<?php
/* @var \Vehica\Widgets\General\TestimonialCarouselGeneralWidget $vehicaCurrentWidget */
global $vehicaCurrentWidget;
$vehicaTestimonials = $vehicaCurrentWidget->getTestimonials();
if (empty($vehicaTestimonials)) {
    return;
}
?>
<div class="vehica-app">
    <vehica-testimonial-carousel
            :config="<?php echo htmlspecialchars(json_encode($vehicaCurrentWidget->getConfig())); ?>"
    >
        <div slot-scope="carousel">
            <div class="vehica-testimonial_carousel vehica-swiper-container vehica-testimonial_carousel__count-<?php echo esc_attr(count($vehicaTestimonials)); ?>">
                <div class="vehica-swiper-wrapper">
                    <?php foreach ($vehicaTestimonials as $vehicaTestimonial) : ?>
                        <div class="vehica-testimonial_carousel__testimonial vehica-swiper-slide">
                            <?php if (!empty($vehicaTestimonial['image']['url'])) : ?>
                                <div class="testimonial_carousel__image">
                                    <img
                                            src="<?php echo esc_url($vehicaTestimonial['image']['url']); ?>"
                                        <?php if (!empty($vehicaTestimonial['name'])) : ?>
                                            alt="<?php echo esc_attr($vehicaTestimonial['name']); ?>"
                                        <?php endif; ?>
                                    >
                                </div>
                            <?php endif; ?>

                            <?php if ($vehicaCurrentWidget->showStars()) : ?>
                                <div class="testimonial_carousel__stars">Stars</div>
                            <?php endif; ?>

                            <?php if (!empty($vehicaTestimonial['text'])) : ?>
                                <div class="testimonial_carousel__text">
                                    <?php echo esc_html($vehicaTestimonial['text']); ?>
                                </div>
                            <?php endif; ?>

                            <?php if (!empty($vehicaTestimonial['name'])) : ?>
                                <div class="testimonial_carousel__name">
                                    <?php echo esc_html($vehicaTestimonial['name']); ?>
                                </div>
                            <?php endif; ?>

                            <?php if (!empty($vehicaTestimonial['title'])) : ?>
                                <div class="testimonial_carousel__title">
                                    <?php echo esc_html($vehicaTestimonial['title']); ?>
                                </div>
                            <?php endif; ?>
                        </div>
                    <?php endforeach; ?>
                </div>

                <?php if ($vehicaCurrentWidget->showBullets()) : ?>
                    <div class="vehica-testimonial_carousel__pagination"></div>
                <?php endif; ?>

                <div class="vehica-testimonial_carousel__nav">
                    <div @click="carousel.prevSlide" class="vehica-testimonial_carousel__prev">
                        Prev
                    </div>

                    <div @click="carousel.nextSlide" class="vehica-testimonial_carousel__next">
                        Next
                    </div>
                </div>
            </div>
        </div>
    </vehica-testimonial-carousel>
</div>